/******************************************************************
(c) Copyright OMRON Corporation 1990

                        All Rights Reserved

******************************************************************/

/*
 * cfbplanebit.h
 *
 * Defines which are only useful to omron color frame buffers
 */

#define	CopyNoop	0	/* no copy */
#define	FillClear	1	/* fill dst area */
#define	FillSet		2
#define	CopySrc		3	/* copy src */
#define	CopyInv		4	/* copy invert src */


extern unsigned char		cfbPlaneCopyType[];
extern unsigned char		cfbTranCopyType[];
extern          int		cfbTranRop;
extern unsigned long		cfbPlanePixelsfg;
extern unsigned long		cfbTranPixelsfg;
extern unsigned long		cfbPlanePixelsbg;
extern unsigned long		copyPlaneBitPlane;
extern unsigned long		cfbPlaneMask;
extern unsigned long		cfbTranMask;

extern void			cfbPlaneSetPixels ();
extern void			cfbTranSetPixels ();

#define	checkFgAndBg(fg, bg, pmask)	\
	((cfbPlanePixelsfg != (fg)) || \
	 (cfbPlanePixelsbg != (bg)) || \
	 (cfbPlaneMask != (pmask)) \
	)

#define	checkFg(fg, rop,  pmask)	\
	((cfbTranPixelsfg != (fg)) || \
	 (cfbTranRop != (rop)) || \
	 (cfbTranMask != (pmask)) \
	)
