/******************************************************************
(c) Copyright OMRON Corporation 1990

                        All Rights Reserved

******************************************************************/

#include <stdio.h>
#include "misc.h"

void
AbortDDX()
{
	ResetConsoleMode();
}

void
ddxGiveUp()
{
}

int
ddxProcessArgument (argc, argv, i)
int argc;
char *argv[];
int i;
{
	extern void UseMsg();
	extern int num_plane,full_color;
	extern int scrw,scrh;
	extern int ActiveZaphod;
	extern int QueryFb;
	extern char *fb_type;
	extern int bitsperpixel;

	if (strcmp (argv[i], "-nplane") == 0) {
		if (++i >= argc) UseMsg ();
		num_plane = atoi(argv[i]);
		return 2;
	}
	if (strcmp (argv[i], "-color") == 0) {
		full_color = TRUE;
		return 1;
	}
	if (strcmp( argv[i], "-scrw") == 0) {
		if (++i >= argc) UseMsg ();
		scrw = atoi(argv[i]);
		return 2;
	}
	if (strcmp( argv[i], "-scrh") == 0) {
		if (++i >= argc) UseMsg ();
		scrh = atoi(argv[i]);
		return 2;
	}
	if (strcmp( argv[i], "-fbtype") == 0) {
		if (++i >= argc) UseMsg ();
		fb_type = argv[i];
		return 2;
	}
	if (strcmp (argv[i], "-zaphod") == 0) {
		ActiveZaphod = TRUE;
		return 1;
	}
	if (strcmp (argv[i], "-queryfb") == 0) {
		QueryFb = TRUE;
		return 1;
	}
	if (strcmp (argv[i], "-version") == 0) {
		EchoVersion();
		exit(0);
	}
	if (strcmp (argv[i], "-bitsperpixel") == 0) {
		/* change bits_per_pixel */
		bitsperpixel = TRUE;
		return 1;
	}
	/* Do nothing now */
	return 0;
}

void
ddxUseMsg()
{
	ErrorF("-nplane # 	      	set number of plane(depth) \n");
	ErrorF("-color         		set full color mode \n");
	ErrorF("-scrw #         	set screen width dot \n");
	ErrorF("-scrh #         	set screen height dot \n");
	ErrorF("-zaphod        		enable active Zaphod mode\n");
	ErrorF("-fbtype {DT_BM,DT_PLASMA,FS_BM,DS_BM}   force set fb_type \n");
	ErrorF("-queryfb       		query fb type   \n");
	ErrorF("-version       		query server version  \n");

}

EchoVersion()
{

	puts("X11R4 1.00 Beta Omron Corporation.");
}


